itpp::Packet_Generator Class Referenceabstract

`#include <itpp/protocol/packet_generator.h>`

Inheritance diagram for itpp::Packet_Generator:

## Public Member Functions

| Packet_Generator (const int Packet_size=150, const unsigned long int Max_packets=0)
| ADD DOCUMENTATION HERE.
virtual | ~Packet_Generator ()
| ADD DOCUMENTATION HERE.
void | set_parameters (const int Packet_size, const unsigned long int Max_packets)
| ADD DOCUMENTATION HERE.
int | get_packet_size ()
| ADD DOCUMENTATION HERE.
int | get_max_packets ()
| ADD DOCUMENTATION HERE.

## Public Attributes

Signal< Packet * > | output
| ADD DOCUMENTATION HERE.
Slot< Packet_Generator, bool > | start
| ADD DOCUMENTATION HERE.

## Protected Member Functions

virtual Ttype | delta_t ()=0
| ADD DOCUMENTATION HERE.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 54 of file packet_generator.h.

## Constructor & Destructor Documentation

## Packet_Generator()

itpp::Packet_Generator::Packet_Generator | ( | const int | Packet_size = `150`,
|  | const unsigned long int | Max_packets = `0`
| ) |  |

ADD DOCUMENTATION HERE.

Definition at line 35 of file packet_generator.cpp.

References output, set_parameters(), and start.

## ~Packet_Generator()

itpp::Packet_Generator::~Packet_Generator | ( |  | ) |

virtual

ADD DOCUMENTATION HERE.

Definition at line 44 of file packet_generator.cpp.

## Member Function Documentation

## set_parameters()

void itpp::Packet_Generator::set_parameters | ( | const int | Packet_size,
|  | const unsigned long int | Max_packets
| ) |  |

ADD DOCUMENTATION HERE.

Definition at line 46 of file packet_generator.cpp.

References it_assert.

Referenced by Packet_Generator(), and itpp::Poisson_Packet_Generator::set_parameters().

## get_packet_size()

int itpp::Packet_Generator::get_packet_size | ( |  | ) |

ADD DOCUMENTATION HERE.

Definition at line 54 of file packet_generator.cpp.

Referenced by itpp::Poisson_Packet_Generator::set_parameters().

## get_max_packets()

int itpp::Packet_Generator::get_max_packets | ( |  | ) |

ADD DOCUMENTATION HERE.

Definition at line 59 of file packet_generator.cpp.

## delta_t()

virtual Ttype itpp::Packet_Generator::delta_t | ( |  | ) |

protected pure virtual

ADD DOCUMENTATION HERE.

Implemented in itpp::Poisson_Packet_Generator, itpp::Constant_Rate_Packet_Generator, and itpp::Burst_WWW_Packet_Generator.

## Member Data Documentation

## output

Signal<Packet*> itpp::Packet_Generator::output

ADD DOCUMENTATION HERE.

Definition at line 62 of file packet_generator.h.

Referenced by Packet_Generator().

## start

Slot<Packet_Generator, bool> itpp::Packet_Generator::start

ADD DOCUMENTATION HERE.

Definition at line 64 of file packet_generator.h.

Referenced by Packet_Generator().

The documentation for this class was generated from the following files:

- itpp/protocol/packet_generator.h
- itpp/protocol/packet_generator.cpp

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8